import { SidebarItem } from "@models/sidebarEntry";

export default cachedEventHandler(
	async (ev) => {
		const si = await SidebarItem.find({});
		return si.map((a) => a.toObject());
	},
	{
		getKey(event) {
			return "sidebar";
		},
		maxAge: 60 * 10,
	},
);
